# Investigation List

| **API URL**     | {{url}}/spice-service/patient-labtest/list |
| --------------- | ------------------------------------------ |
| **Method**      | POST                                       |
| **Description** | Investigation list                         |

#### **Input:** <a href="#investigationlist-input" id="investigationlist-input"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

#### **Input:** <a href="#investigationlist-input-.1" id="investigationlist-input-.1"></a>

#### **Sample Input 1: For Lab Technician** <a href="#investigationlist-sampleinput1-forlabtechnician" id="investigationlist-sampleinput1-forlabtechnician"></a>

{     "isLatestRequired": false,     "tenantId": 4,     "roleName": "LAB\_TECHNICIAN",     "patientTrackId": 1 }

**Sample Input 2 : For loading labtest history list in CMR:**

{     "latestRequired": false,     "patientTrackId": 1,     "patientVisitId": 1,     "tenantId": 4 }

**Sample Input 3 :**

{     "tenantId": 4,     "patientTrackId": 25 }

**Output:**

| **Field Name**               | **Type**                    | **Comments**                        |
| ---------------------------- | --------------------------- | ----------------------------------- |
| `labTestId`                  | Integer                     | Labtest ID                          |
| `labTestName`                | String                      | Name of the Labtest                 |
| `referredBy : firstName`     | String                      | First name of referred person       |
| `referredBy : lastName`      | String                      | Last name of referred person        |
| `referredDate`               | Timestamp without Timestamp | Referred date                       |
| `resultUpdateBy : firstName` | String                      | First name of result updated person |
| `resultUpdateBy : lasttName` | String                      | Last name of result updated person  |
| `isReviewed`                 | Boolean                     | Is medical reviewed                 |
| `resultDate`                 | Timestamp without Timezone  | Date of the test result             |
| `resultComments`             | String                      | Comments of the test Result         |

#### **Sample Output:** <a href="#investigationlist-sampleoutput" id="investigationlist-sampleoutput"></a>

```
  {
    "message": "Got Patient LabTest list.",
    "entity": {
        "patientLabTest": [
            {
                "id": 9,
                "labTestId": 2,
                "labTestName": "Fast plasma",
                "referredBy": {
                    "firstName": "Kavya",
                    "lastName": "Provider",
                    "userName": null
                },
                "referredDate": "2023-05-26T18:05:18+05:30",
                "patientVisitId": 33,
                "resultUpdateBy": {
                    "firstName": "Kavya",
                    "lastName": "Provider",
                    "userName": null
                },
                "isAbnormal": true,
                "isReviewed": true,
                "resultDate": "2023-05-24T00:00:00+05:30",
                "resultComments": "comments"
            }
        ],
        "patientLabtestDates": null
    },
    "status": true,
    "entityList": null,
    "responseCode": 200,
    "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/versions/spice-1.0/engineering/api-documentation/spice-services/investigation-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
